botruntime
API ReferenceChat API

Get Participant

Retrieves a [Participant](#schema_participant) from a [Conversation](#schema_conversation).

GET
/v1/chat/conversations/{id}/participants/{userId}

Path Parameters

id*string

Conversation id

userId*string

User id

Header Parameters

x-bot-id*string

Bot id

x-integration-id?string

Integration id

x-integration-alias?string

Integration alias

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/chat/conversations/string/participants/string" \  -H "x-bot-id: string"
{  "participant": {    "id": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "tags": {      "property1": "string",      "property2": "string"    },    "name": "string",    "pictureUrl": "string",    "properties": {      "property1": "string",      "property2": "string"    },    "attributes": {      "property1": "string",      "property2": "string"    }  }}
{  "participant": {    "id": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "tags": {      "property1": "string",      "property2": "string"    },    "name": "string",    "pictureUrl": "string",    "properties": {      "property1": "string",      "property2": "string"    },    "attributes": {      "property1": "string",      "property2": "string"    }  }}